Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Interface NamespaceAwareTag

All Superinterfaces:
  Tag

    public interface NamespaceAwareTag

extends Tag

`NamespaceAwareTag` represents a Jelly custom tag which needs to be aware of the XML Namespace context in which it is used. When the tag is used it will be given the namespace context which is a Map keyed on the namespace prefixes and the values are the namespace URIs in scope in the tags element.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Method Summary
`void` | `setNamespaceContext(java.util.Map prefixToUriMap)` Sets the namespace context in scope when this tag is used

Methods inherited from interface org.apache.commons.jelly.Tag
`doTag, getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

Method Detail

### setNamespaceContext

    void setNamespaceContext(java.util.Map prefixToUriMap)

  Sets the namespace context in scope when this tag is used

  Parameters:
    `prefixToUriMap` - is a Map where the keys are the namespace prefixes and the values are the namespace URIs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.